
Database - Feature #1595

Feature # 1592 (Closed): implement additional database built-in functions

add conversion and runtime support for DBPARAM() built-in function

10/17/2012 12:54 AM - Eric Faulhaber

Status: Closed Start date: 10/17/2012

Priority: Normal Due date: 07/16/2013

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 10.00 hours

Target version: Runtime Support for Server Features   

billable: No vendor_id: GCD

Description

History

#1 - 10/17/2012 01:03 AM - Eric Faulhaber

- Assignee set to Ovidiu Maxiniuc

Conversion support will be added in builtin_functions.rules.  Should map to a new static method in ConnectionManager (see some of the other, static

db*() methods in ConnectionManager as an example).  May require new functionality in that class, as I don't recall if we currently store enough info

about the parameters used to connect databases via ConnectionManager.connect(Object... args).

The parameters returned by this method generally will not match those returned by the original 4GL implementation, since we don't support any

others than those handled by ConnectionManager.connect(Object... args).  If we find application dependencies on other connection parameters we

don't support, we may need to "fake" these by reading them from the directory and passing them through this method.  This would also apply to

databases connected by default.

#2 - 10/22/2012 02:18 PM - Eric Faulhaber

- Estimated time set to 8.00

#3 - 10/31/2012 04:06 PM - Greg Shah

- Target version set to Milestone 7

#4 - 11/01/2012 10:29 AM - Ovidiu Maxiniuc

- File om_upd20121101a.zip added

- Status changed from New to WIP

Implemented as specified although I am a little uncertain about some parameters.

#5 - 11/01/2012 10:30 AM - Ovidiu Maxiniuc

- Status changed from WIP to Review

#6 - 11/05/2012 11:20 PM - Eric Faulhaber

Please update the Conversion Reference (builtin_database_functions_methods_attributes.odt chapter) to reflect the implementation of this built-in

function.
#7 - 11/06/2012 07:32 PM - Eric Faulhaber

- % Done changed from 0 to 70

With respect to the documentation update, please also update the "master" table of all supported built-in functions in the "Functions" section of the

"Expressions" chapter of the Conversion Reference.

#8 - 01/31/2013 11:16 PM - Eric Faulhaber

- % Done changed from 70 to 90

#9 - 04/25/2013 03:49 PM - Eric Faulhaber

- Estimated time changed from 8.00 to 10.00

- Due date set to 07/09/2013

#10 - 05/01/2013 11:48 PM - Eric Faulhaber

- Due date changed from 07/09/2013 to 07/16/2013

#11 - 12/05/2013 07:06 PM - Eric Faulhaber

- % Done changed from 90 to 100

- Status changed from Review to Closed

#12 - 11/16/2016 11:43 AM - Greg Shah

- Target version changed from Milestone 7 to Runtime Support for Server Features

Files

om_upd20121101a.zip 22.8 KB 11/01/2012 Ovidiu Maxiniuc
